petsc-3.7.7 2017-09-25
Report Typos and Errors

# VecMax

Determines the maximum vector component and its location.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecMax(Vec x,PetscInt *p,PetscReal *val)

Collective on Vec

### Input Parameter

x -the vector

### Output Parameters

| val | - the maximum component
| p | - the location of val (pass NULL if you don't want this)

### Notes

Returns the value PETSC_MIN_REAL and p = -1 if the vector is of length 0.

Returns the smallest index with the maximum value

### See Also

VecNorm(), VecMin()

Level:intermediate
Location:src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex1.c.html
src/dm/examples/tutorials/ex15.c.html
src/ksp/ksp/examples/tutorials/ex10.c.html
src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/ex17.c.html